Check current mailbox

- « imap_bodystruct

- imap_clearflag_full »

- PHP Manual
- IMAP Functions
- Check current mailbox

# imap_check

(PHP 4, PHP 5, PHP 7, PHP 8)

imap_check — Check current mailbox

### Description

imap_check(IMAP\Connection `$imap`): stdClass|false

Checks information about the current mailbox.

### Parameters

`imap`

  An IMAP\Connection instance.

### Return Values

Returns the information in an object with following properties:

- `Date` - current system time formatted according to » RFC2822
- `Driver` - protocol used to access this mailbox: POP3, IMAP, NNTP
- `Mailbox` - the mailbox name
- `Nmsgs` - number of messages in the mailbox
- `Recent` - number of recent messages in the mailbox

Returns `false` on failure.

### Changelog

Version | Description
--- | ---
8.1.0 | The `imap` parameter expects an IMAP\Connection instance now; previously, a valid `imap` resource was expected.

### Examples

Example #1 imap_check() example

    <?php$imap = imap_check($imap_stream);var_dump($imap);?>

The above example will output something similar to:

    object(stdClass)(5) {
      ["Date"]=>
      string(37) "Wed, 10 Dec 2003 17:56:54 +0100 (CET)"
      ["Driver"]=>
      string(4) "imap"
      ["Mailbox"]=>
      string(54)
      "{www.example.com:143/imap/user="foo@example.com"}INBOX"
      ["Nmsgs"]=>
      int(1)
      ["Recent"]=>
      int(0)
    }